List Pull Requests
curl --request GET \
--url https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/pull-requestsimport requests
url = "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/pull-requests"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/pull-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prs": [
{
"id": "<string>",
"node_id": "<string>",
"number": 123,
"title": "<string>",
"source_branch": "<string>",
"target_branch": "<string>",
"source_commit": "<string>",
"target_commit": "<string>",
"status": "<string>",
"is_draft": true,
"author": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"author_email": "<string>",
"merged_by": "<string>",
"merged_by_email": "<string>",
"closed_by": "<string>",
"closed_by_email": "<string>",
"merged_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"can_merge": true,
"merge_reason": "<string>",
"commits_ahead": 123
}
],
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Pull Requests
List Pull Requests
List pull requests for a node.
Results are ordered newest-first and can be filtered by state via
status=open|merged|closed. Supports limit/offset pagination
(limit is capped at 100).
GET
/
orgs
/
{org_id}
/
nodes
/
{node_id}
/
pull-requests
List Pull Requests
Query Parameters
Filter by status (open, merged, closed)
Max number of results
Required range:
1 <= x <= 100Number of results to skip
Required range:
x >= 0⌘I